Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portlet.orb
Class PortletORB

    java.lang.Object
      com.bea.portal.tools.portlet.orb.PortletORB

All Implemented Interfaces
  Serializable

    public abstract class PortletORB

extends Object
implements Serializable

Object request broker using portlet events.

See Also
  Serialized Form

Nested Class Summary
`static interface` | `PortletORB.ImplementationFactory`
`static interface` | `PortletORB.Tag`

Constructor Summary
`protected` | `PortletORB()` Constructor.

Method Summary
`abstract PortletHandle` | `getBroadcastPortletHandle()` Get the broadcast `PortletHandle`.
`static PortletORB` | `getCurrentPortletORB()` Get the current `PortletORB`.
`protected abstract InvokeContext` | `getInvokeContext()`
`abstract PortletHandle` | `getPortletHandle()` Get the `PortletHandle` for the executing portlet.
`static PortletORB` | `getPortletORB(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Get the `PortletORB` for the given request and response.
`abstract javax.servlet.http.HttpSession` | `getSession()` Get the caller `PortletHandle`.
`abstract void` | `handlePortletORBEvent(Event event, Object contextObject)` Handle the given `Event`.
`abstract void` | `handlePortletORBEvent(PortletORBEvent event, Object contextObject)` Handle the given `PortletORBEvent`.
`protected static PortletORB` | `setCurrentPortletORB(PortletORB currentPortletORB)` Change the current `PortletORB`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletORB

    protected PortletORB()

  Constructor.

Method Detail

### getPortletORB

    public static final PortletORB getPortletORB(javax.servlet.http.HttpServletRequest request,
                                                 javax.servlet.http.HttpServletResponse response)

  Get the `PortletORB` for the given request and response.

  This method delegates to the installed `PortletORBManager` to get the `PortletORB` for the given request and response.

  Parameters
    `request` - the `HttpServletRequest`
    `response` - the `HttpServletReponse`
  Returns
    the `PortletORB` for the given request and response

### getCurrentPortletORB

    public static final PortletORB getCurrentPortletORB()

  Get the current `PortletORB`.

  Returns
    the current `PortletORB`

### setCurrentPortletORB

    protected static final PortletORB setCurrentPortletORB(PortletORB currentPortletORB)

  Change the current `PortletORB`.

  Parameters
    `currentPortletORB` - the `PortletORB`
  Returns
    the previous `PortletORB`

### handlePortletORBEvent

    public abstract void handlePortletORBEvent(Event event,
                                               Object contextObject)
                                        throws Throwable

  Handle the given `Event`.

  Parameters
    `event` - the `Event`
  Throws
    `Throwable` - thrown if an exception occurred

### handlePortletORBEvent

    public abstract void handlePortletORBEvent(PortletORBEvent event,
                                               Object contextObject)
                                        throws Throwable

  Handle the given `PortletORBEvent`.

  Parameters
    `event` - the `PortletORBEvent`
  Throws
    `Throwable` - thrown if an exception occurred

### getBroadcastPortletHandle

    public abstract PortletHandle getBroadcastPortletHandle()

  Get the broadcast `PortletHandle`.

  The broadcast `PortletHandle` is used to send an remote procedure invoke message to all portlets that subscribe to the `PortletORB.EVENT` event type.

  Returns
    the `PortletHandle` for broadcast

### getPortletHandle

    public abstract PortletHandle getPortletHandle()

  Get the `PortletHandle` for the executing portlet.

  Returns
    the `PortletHandle` for the executing portlet

### getSession

    public abstract javax.servlet.http.HttpSession getSession()

  Get the caller `PortletHandle`.

  The caller `PortletHandle` is not available outside the context of the execution of a remote procedure invoke message.

  Returns
    the `PortletHandle` for the caller portlet or `null` if this method was not called from the context of an invoke

### getInvokeContext

    protected abstract InvokeContext getInvokeContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.